APM(8)

NAME
apm, zzz - control the APM BIOS and display its information

SYNOPSIS
apm [-ablsz] [-d 1|0]

zzz

DESCRIPTION
apm controls the Intel / Microsoft APM (Advanced Power Management) BIOS and displays the current status of APM on laptop PCs. zzz suspends the system by controlling APM.

The following options are available for apm (no options are available for zzz. ) If no options are specified, apm displays information and current status of APM in verbose mode.

-a  Display the current AC-line status as an integer value. The values 0 and 1 correspond to the “off-line” state or “on-line” state, respectively.

-b  Display an integer value reflecting the current battery status. The values 0, 1, 2, 3, correspond to the “high” status, “low” status, “critical” status, “charging” status respectively.

-d  Disable/enable suspending of the display separately from a normal suspend using using the values 1 or 0 respectively.

-l  Display the remaining battery percentage. If your laptop does not support this function, 255 is displayed.

-s  Display the status of the APM support as an integer value. The values 0 and 1 correspond to the “enabled” state or “disabled” state respecitively

-z  Suspend the system. It is equivalent to zzz.

BUGS
Some APM implementations do not support parameters needed by apm. On such systems, apm displays them as unknown.

Some APM implementations cannot handle events such as pushing the power button or closing the cover. On such implementations, the system must be suspended only by using apm or zzz.

SEE ALSO
apm(4), apmconf(8)

AUTHOR
HOSOKAWA, Tatsumi <hosokawa@mt.cs.keio.ac.jp> (Keio Univ., Japan)